#include <bits/stdc++.h>
using namespace std;
string s,a;
int broj1,broj2,zbir,razlika;
int main(){
    cin >> s;
    cin>>broj1 >> broj2 ;
    razlika=abs(broj1-broj2);
    if(razlika>1){cout << "nemoguce"<<endl;}
    else{
          if(broj1>broj2){
            for(int z=1;z<=broj2;z++){
                    cout << s;
                }
                cout << s[0];
                cout<<endl;
          }
          else if(broj1<broj2){
                cout<<s[1];
            for(int z=1;z<=broj1;z++){
                    cout << s;
                }
                cout<<endl;
          }
               else{
                for(int z=1;z<=broj1;z++){
                    cout << s;
                }
                cout<<endl;
               }
        }



 return 0;
}